package Plugins::Player::DivX;
use strict;
use XFileConfig;
use vars qw($ses $c);

sub makePlayerCode
{
	my ($self, $f, $file, $c, $player ) = @_;
	return if $player ne 'divx';

  my $obj=<<ENP
<object classid="clsid:67DABFBF-D0AB-41fa-9C46-CC0F21721616" width="$file->{play_w}" height="$file->{play_h}" codebase="http://go.divx.com/plugin/DivXBrowserPlugin.cab">
   <param name="custommode" value="none" />
   <param name="previewImage" value="$file->{video_img_url}" />
   <param name="autoPlay" value="false" />
   <param name="allowContextMenu" value="false" />
   <param name="src" value="$file->{direct_link}" />
<embed type="video/divx" src="$file->{direct_link}" custommode="none" width="$file->{play_w}" height="$file->{play_h}" autoPlay="false" allowContextMenu="false" previewImage="$file->{video_img_url}" pluginspage="http://go.divx.com/plugin/download/">
</embed>
</object>
ENP
;
  $obj=~s/[\n\r]+//g;
  my $js = "\$('#vplayer').html('$obj');";

  my $html = qq[<span id='vplayer'><img src="$file->{video_img_url}" style="width:$file->{play_w}px;height:$file->{play_h}px;"></span>];

	return($html,$js);
}

1;
