
package XFileConfig;
use strict;
use utf8;
$ENV{PERL_LWP_SSL_VERIFY_HOSTNAME}=0;
use lib 'Modules';
use Exporter;
@XFileConfig::ISA    = qw(Exporter);
@XFileConfig::EXPORT = qw($c);
use vars qw( $c );

$c=
{
 license_key => '',

 # MySQL settings
 db_host => 'localhost',
 db_login => '',
 db_passwd => '',
 db_name => '',

 default_language => '1',

 # Passwords crypting random salt. Set it up once when creating system
 pasword_salt => '',

 # Secret key to crypt Download requests
 dl_key => '',

 user_agent => '',

 main_server_ip => '',

 # Your site name that will appear in all templates
 site_name => '',

 # Your site URL, witout trailing /
 site_url => '',

 # Your site cgi-bin URL, witout trailing /
 site_cgi => '',

 cdn_url => '',

 # Path to your site htdocs folder
 site_path => '',

 cgi_path => '',

 # FastCGI mode
 fast_cgi => '1',

 # UTF8 sql fix
 sql_utf8_fix => '1',

 # Delete Direct Download Links after X hours
 symlink_expire => '12', # hours

 # Do not expire premium user's files
 dont_expire_premium => '1',

 # Generated links format, 0-5
 link_format => '3',

 enable_search => '1',

 # Banned IPs
 # Examples: '^(10.0.0.182)$' - ban 10.0.0.182, '^(10.0.1.125|10.0.0.\d+)$' - ban 10.0.1.125 & 10.0.0.*
 # Use \d+ for wildcard *
 ip_not_allowed => '',

 # Banned filename parts
 fnames_not_allowed => '(warez|xvideo)',

 # Use captcha verification to avoid robots
 # 0 - disable captcha, 1 - image captcha (requires GD perl module installed), 2 - text captha, 3 - reCaptcha
 captcha_mode => '2',

 # Enable users to add descriptions to files
 enable_file_descr => '1',

 category_required => '',

 # Allow users to add comments to files
 enable_file_comments => '1',

 # Replace all chars except "a-zA-Z0-9.-" with underline
 sanitize_filename => '',

 # Used for BW limit
 bw_limit_days => '3',

 charset => 'UTF-8',

 # Require e-mail registration
 registration_confirm_email => '1',

 # Mail servers not allowed for registration
 # Sample: 'mailinator.com|gmail.com'
 mailhosts_not_allowed => '(mailinator.com|yopmail.com)',

 # Reject comments with banned words
 bad_comment_words => '(fuck|shit)',

 # Add postfix to filename
 add_filename_postfix => '',

 # Keys used for reCaptcha
 recaptcha_pub_key => '6LcVAQMTAAAAAKJVSbZ3jvilAheP16skQDukzlA_',
 recaptcha_pri_key => '6LcVAQMTAAAAAMQRgEdO0JQ9P6UQzMkUNfrXcSbO',

 ping_google_sitemaps => '',

#--- Anonymous users limits ---#

 # Enable anonymous upload
 enabled_anon => '',

 upload_enabled_anon => '',

 # Maximum upload Filesize in Mbytes (0 to disable)
 max_upload_filesize_anon => '',

 # Specify number of seconds users have to wait before download, 0 to disable
 download_countdown_anon => '2',

 # Captcha for downloads
 captcha_anon => '',

 # Show advertisement
 ads_anon => '1',

 # Limit Max bandwidth for IP per 'bw_limit_days' days
 bw_limit_anon => '',

 # Add download delay per 100 Mb file, seconds
 add_download_delay_anon => '',

 # Download speed limit, Kbytes/s
 down_speed_anon => '',
 watch_speed_anon => '220',

 # Maximum download size in Mbytes (0 to disable) 
 max_download_filesize_anon => '',

 pre_download_anon => '',

 time_slider_anon => '1',

 video_player_anon => '1',

 download_anon => '',

 download_orig_anon => '',

 video_time_limit_anon => '',

#------#

#--- Registered users limits ---#

 # Enable user registration
 enabled_reg => '1',

 upload_enabled_reg => '1',

 # Allow remote URL uploads
 remote_url_reg => '1',

 # Maximum disk space in Mbytes (0 to disable)
 disk_space_reg => '7',

 # Maximum upload Filesize in Mbytes (0 to disable)
 max_upload_filesize_reg => '500',

 max_upload_files_reg => '30',

 # Specify number of seconds users have to wait before download, 0 to disable
 download_countdown_reg => '1',

 # Captcha for downloads
 captcha_reg => '',

 # Show advertisement
 ads_reg => '1',

 # Limit Max bandwidth for IP per 'bw_limit_days' days
 bw_limit_reg => '300',

 # Add download delay per 100 Mb file, seconds
 add_download_delay_reg => '',

 # Download speed limit, Kbytes/s
 down_speed_reg => '100',
 watch_speed_reg => '250',

 # Maximum download size in Mbytes (0 to disable) 
 max_download_filesize_reg => '1000',

 torrent_dl_slots_reg => '',

 pre_download_reg => '',

 queue_url_max_reg => '3',

 queue_url_working_max_reg => '1',

 time_slider_reg => '1',

 video_player_reg => '1',

 download_reg => '1',

 download_orig_reg => '1',

 video_time_limit_reg => '',

#------#

#--- Premium users limits ---#

 # Enable premium accounts
 enabled_prem => '1',

 upload_enabled_prem => '1',

 # Maximum disk space in Mbytes (0 to disable)
 disk_space_prem => '10',

 # Maximum upload Filesize in Mbytes (0 to disable)
 max_upload_filesize_prem => '1000',

 max_upload_files_prem => '0',

 # Specify number of seconds users have to wait before download, 0 to disable
 download_countdown_prem => '',

 # Captcha for downloads
 captcha_prem => '',

 # Show advertisement
 ads_prem => '1',

 # Limit Max bandwidth for IP per 'bw_limit_days' days
 bw_limit_prem => '2000',

 # Add download delay per 100 Mb file, seconds
 add_download_delay_prem => '',

 # Allow remote URL uploads
 remote_url_prem => '1',

 # Download speed limit, Kbytes/s
 down_speed_prem => '1000',
 watch_speed_prem => '220',

 # Maximum download size in Mbytes (0 to disable) 
 max_download_filesize_prem => '0',

 torrent_dl_slots_prem => '',

 pre_download_prem => '',

 queue_url_max_prem => '5',

 queue_url_working_max_prem => '1',

 time_slider_prem => '1',

 video_player_prem => '1',

 download_prem => '1',

 download_orig_prem => '1',

 video_time_limit_prem => '',

#------#

 # Logfile name
 admin_log => 'logs.txt',

 items_per_page => '20',

 # Files per dir, do not touch since server start
 files_per_folder => 5000,

 # Do not use, for demo site only
 demo_mode => 0,

##### Email settings #####

 # SMTP settings (optional)
 smtp_server => '', #smtp.gmail.com for gmail, install Net::SMTP::TLS
 smtp_user => '',
 smtp_pass => '',
 smtp_auth => '', #tls for gmail

 # This email will be in "From:" field in confirmation & contact emails
 email_from => '',

 # Email that Contact messages will be sent to
 contact_email => '',

 # Premium users payment plans
 # Example: 5.00=7,9.00=14,15.00=30 ($5.00 adds 7 premium days)
 payment_plans => '5.00=7',

 views_profit_on => '1',

 tier_sizes => '0|1|3|10',

 tier1_countries => 'US|UK|CA|GB',
 tier2_countries => 'DE|FR|ES',
 tier3_countries => 'PT|RU',
 tier4_countries => 'KZ|UA',

 tier1_money => '3|2|1|1',
 tier2_money => '2|1|1|1',
 tier3_money => '1|1|1|1',
 tier4_money => '1|1|1|0',
 tier5_money => '0.5|0.5|0.5|0',

 track_views_percent => '90',

 ### Payment settings ###

 item_name => '',
 currency_code => 'USD',

 # User registration coupons
 coupons => '',

 #external_links => 'http://sibsoft.net|SibSoft labs~https://upload-pro.com|XFilesharing demo',

 # Language list to show on site
 #languages_list => ['english','russian','german','french','arabic','turkish','polish','thai','spanish','japan','hungary','indonesia'],

 # Match list between browser language code and language file
 # Full list could be found here: http://www.livio.net/main/charset.asp#language
 language_codes => {'en.*'             => 'english',
                    #'cs'               => 'czech',
                    #'da'               => 'danish',
                    #'fr.*'             => 'french',
                    #'de.*'             => 'german',
                    #'p'                => 'polish',
                    'ru'               => 'russian',
                    #'es.*'             => 'spanish',
                   },

 # Cut long filenames in MyFiles,AdminFiles
 display_max_filename => '64',
 display_max_filename_admin => '52',

 # Delete records from IP2Files older than X days
 clean_ip2files_days => '7',

 anti_dupe_system => '1',

 m_d => '',
 m_d_f => '1',
 m_d_a => '1',
 m_d_c => '1',
 m_d_featured => '1',
 m_d_file_approve => '',
 m_d_legal => '1',
 m_d_f_limit => '3',

 deurl_site => '',
 deurl_api_key => '',

 m_ads => '',

 m_v_width => '940',
 m_v_height => '',

 video_embed_anon => '',
 video_embed_reg => '1',
 video_embed_prem => '1',

 files_expire_access_anon => '',
 files_expire_access_reg => '180',
 files_expire_access_prem => '365',

 # Add download delay after each file download, seconds
 file_dl_delay_anon => '',
 file_dl_delay_reg => '120',
 file_dl_delay_prem => '120',

 max_money_last24 => '10',

 sale_aff_percent => '50',

 referral_aff_percent => '5',

 min_payout => '50',

 del_money_file_del => '1',

 convert_money => '',
 convert_days => '',

 m_t => '',
 m_t_users => '',

 m_x => '',
 m_x_width => '',
 m_x_rows => '',
 m_x_logo => '',
 m_x_prem_only => '',
 m_x_th_width => '',
 m_x_th_height => '',

 vid_keep_orig => '1',

 m_h => '',

 m_h_hd => '',
 m_h_lq => '1',

 # Normal quality
 vid_resize_n => 'x260',
 vid_quality_mode_n => 'crf',
 vid_quality_n => '25',
 vid_bitrate_n => '500',
 vid_audio_bitrate_n => '256',
 vid_audio_rate_n => '96000',
 vid_audio_channels_n => '2',
 vid_preset_n => 'slow',
 vid_enc_n_anon => '1',
 vid_enc_n_reg => '1',
 vid_enc_n_prem => '1',
 vid_crf_bitrate_max_n => '2500',
 #vid_mobile_support_n => '',


 # High quality
 vid_resize_h => 'x360',
 vid_quality_mode_h => 'crf',
 vid_quality_h => '24',
 vid_bitrate_h => '1200',
 vid_audio_bitrate_h => '128',
 vid_audio_rate_h => '48000',
 vid_audio_channels_h => '2',
 vid_preset_h => 'slow',
 vid_enc_h_anon => '1',
 vid_enc_h_reg => '1',
 vid_enc_h_prem => '1',
 vid_play_h_anon => '1',
 vid_play_h_reg => '1',
 vid_play_h_prem => '1',
 vid_crf_bitrate_max_h => '',


 # Low mobile quality
 vid_resize_l => '256x192',
 vid_quality_mode_l => 'crf',
 vid_quality_l => '26',
 vid_bitrate_l => '400',
 vid_audio_bitrate_l => '40',
 vid_audio_rate_l => '22050',
 vid_audio_channels_l => '1',
 vid_preset_l => 'medium',
 vid_enc_l_anon => '1',
 vid_enc_l_reg => '1',
 vid_enc_l_prem => '1',
 vid_fps_l => '25',
 vid_crf_bitrate_max_l => '5000',

 watch_speed_n => '150',
 watch_speed_h => '',
 watch_speed_l => '',

 m_y => '',
 ssd_hours => '00|01|02|03|04|05|06|07|08|09|10|11|12|13|14|15|16|17|18|19|20|21|22|23',

 payout_systems => 'PayPal, Webmoney, Moneybookers, AlertPay, Plimus',

 twit_consumer1 => 'maKbbP6UVThDwmm81mSpQrCi3',
 twit_consumer2 => 'nMzqfOSJoauXDCYDCuyRc0lyPhyLzNehDQgsboqwrVKYl4NGOt',


 show_more_files => '1',

 more_files_number => '3',

 bad_ads_words => '(zoo|rape|child)',

 cron_test_servers => '1',

 # Resellers mod
 m_k => '',
 m_k_plans => '',
 m_k_manual => '',
 m_k_add_money => '',
 m_k_add_money_list => '',

 deleted_files_reports => '',

 
 facebook_app_id_like => '',
 facebook_like_on => '',
 facebook_comments => '',

 # Index page settings
 index_featured_on => '1',
 index_featured_num => '6',
 index_featured_min_length => '',
 index_featured_max_length => '',

 index_most_viewed_on => '1',
 index_most_viewed_num => '6',
 index_most_viewed_hours => '999',
 index_most_viewed_min_length => '',
 index_most_viewed_max_length => '',

 index_most_rated_on => '1',
 index_most_rated_num => '6',
 index_most_rated_hours => '999',
 index_most_rated_min_length => '',
 index_most_rated_max_length => '',

 index_just_added_on => '1',
 index_just_added_num => '6',
 index_just_added_min_length => '',
 index_just_added_max_length => '',

 # Video extensions
 video_extensions => 'avi|mkv|mpg|mpeg|vob|wmv|flv|mp4|mov|m4v|m2v|divx|xvid|3gp|webm|ogv|ogg',

 enc_queue_premium_priority => '1',

 # TimeSlider mod
 m_z => '',
 m_z_cols => '5',
 m_z_rows => '5',

 server_transfer_speed => '2000',
 optimize_hdd_perfomance => '',

 # Video Preview mod
 m_p => '',
 m_p_parts => '2',
 m_p_length => '3',
 m_p_show_anon => '1',
 m_p_show_reg => '1',
 m_p_show_prem => '1',
 m_p_source => 'n',
 m_p_custom_upload => '',

 thumb_width => '200',
 thumb_height => '112',

 #facebook_embed => '1',

 m_v => '',
 m_v_users => 'premium',
 m_v_fonts => 'tahoma,arialblack,verdana',
 m_v_image_logo => '1',
 m_v_image_max_size => '300',

 m_s => '',
 m_s_users => 'registered',
 m_s_samples => '6',
 m_s_upload => '1',

 m_g => '',
 m_g_users => '',
 m_g_frames_max => '',

 files_expire_limit => '500',

 news_enabled => '',

 thumb_position => '30%',

 approve_required => '',
 approve_required_first => '',

 uploads_selected_only => '',

 m_l => '',
 
 twitter_api_key => '',
 twitter_api_secret => '',

 facebook_app_id => '212241958907794',
 facebook_app_secret => '789107375e941cc0bd6a0eadd154c8c8',

 vk_app_id => '4359469',
 vk_app_secret => 'hYbxrMZGlMljcuG4CzJT',

 google_app_id => '958113628952.apps.googleusercontent.com',
 google_app_secret => 'w4wWpOk_i1s1mK2w36LiV5nO',

 google_plus_client_id => '',

 file_data_fields => '',

 m_f => '',
 m_f_users => 'special',
 m_f_subdomain => 'ftp.site.com',

 file_cloning => '',

 resolve_ip_country => '',

 m_b => '',
 m_b_users => 'special',
 m_b_rate => '5',

 m_c => '',
 m_c_views_rate1 => '10',
 m_c_views_num1 => '5',
 m_c_views_rate2 => '30',
 m_c_views_num2 => '20',
 m_c_views_user => '2',
 m_c_views_skip => '1',
 m_c_sale_init_rate => '10',
 m_c_sale_renew_rate => '20',
 m_c_sale_user => '1',

 srt_on => '',
 srt_langs => 'English, Spanish, Russian, French, German, Greek, Italian',
 srt_max_size_kb => '300',
 srt_color => 'FFFFFF',
 srt_font => 'Verdana',
 srt_size => '26',
 srt_edge_style => 'uniform',
 srt_opacity => '90',

 extra_user_fields => 'Country',

 maintenance_upload => '',
 maintenance_upload_msg => '',
 maintenance_download => '',
 maintenance_download_msg => '',
 maintenance_full => '',
 maintenance_full_msg => '',

 m_o => '',

 login_limit1_ips => '',
 login_limit1_hours => '',
 login_limit1_subnets => '',
 login_limit2_max => '',
 login_limit2_hours => '',

 m_e => '',
 m_e_users => '',

 vid_resize_method => '0',

 watch_speed_auto_n => '',
 watch_speed_auto_h => '1',
 watch_speed_auto_l => '1',

 fs_logs_on => '1',

 player_js_encode => '',

 max_url_uploads_user => '',

 m_j => '',
 m_j_domain => '',
 m_j_instant => '',
 m_j_hide => '',

 sales_profit_on => '1',

 tier_factor => 'size',

 no_money_downloads => '1',

 no_reencoding_mp4 => '',
 no_reencoding_flv => '',

 vid_container_n => 'mp4',
 vid_container_h => 'mp4',
 vid_container_l => 'mp4',

 show_divx_player => '',

 xframe_allow_frames => '1',

 ssd_max_filesize => '1000',
 player_sharing => '',

 tos_accept_checkbox => '',

 srt_auto => '',
 srt_auto_langs => 'eng=English, rus=Russian, fre=French, ger=German, spa=Spanish, gre=Greek, ita=Italian',

 m_u => '',
 memcached_address => '127.0.0.1:11182',
 memcached_expire => '60',

 custom_snapshot_upload => '300',

 m_f_update_on_cron => '1',
 m_f_update_on_reg => '1',
 m_f_update_on_buy => '1',
 m_f_sync_files_after => '3',

 ### Payment systems configs ###
 paypal_email => 'xxx@xxx.com',
 paypal_url    => 'https://www.paypal.com/cgi-bin/webscr',
 #paypal_url	=> 'https://www.sandbox.paypal.com/cgi-bin/webscr',
 paypal_subscription => '',

 firstdatapay_gateway_id => '',
 firstdatapay_password => '',
 firstdatapay_hmac_key => '',
 firstdatapay_key_id => '',

 downloadnolimit_site_id => '',
 downloadnolimit_secret => '',

 paysafecard_username => '',
 paysafecard_password => '',

 ikoruna_czk_rate => '',
 ikoruna_p_id => '',
 ikoruna_secret => '',
 pcash_site_id => '',
 sprypay_shop_id => '',
 perfectmoney_account => '',
 perfectmoney_secret => '',
 junglepay_campaign_id => '',
 click2sell_products => '',
 matomy_placement_id => '',
 matomy_secret => '',
 paylink_url => 'https://paylink.cc/process.htm',
 paylink_products => '',
 paylink_member => '',
 paylink_subscription => '',
 paylink_trial_days => '',
 authorize_login_id => '',
 authorize_secret => '',

 okpay_receiver => '',
 okpay_url    => 'https://www.okpay.com/ipn-verify.html',

 hipay_url => '',
 #hipay_url => 'https://test-payment.hipay.com/order/',
 hipay_merchant_id => '',
 hipay_merchant_password => '',
 hipay_website_id => '',
 pwall_app_id => '',
 pwall_secret_key => '',
 posonline_operator_id => '',
 posonline_secret => '',

 two_checkout_sid => '',
 daopay_app_id => '',

 cashu_merchant_id => '',
 plimus_contract_id => '',

 moneybookers_email => '',
 webmoney_merchant_id => '',
 webmoney_secret_key => '',

 smscoin_id => '',
 alertpay_email => '',
 ###############################

 next_upload_server_logic => 'encodings',

 banned_countries => 'US|CA',

 player => 'clappr',

 player_lightsout => '1',

 player_ads_fadein => '5',

 caching_expire => '5',

 bad_referers => '(gkplugin|proxy)',

 m_n => '',
 m_n_users => '',
 m_n_max_links => '25',

 use_cloudflare_ip_header => '',

 vid_transcode_max_bitrate_n => '1000',
 vid_transcode_max_abitrate_n => '130',
 vid_transcode_max_bitrate_h => '2000',
 vid_transcode_max_abitrate_h => '200',

 m_r => '',

 srt_burn => '',

 tier_views_number => '1000',

 link_format_uppercase => '',

 embeds_money_percent => '50',

 search_public_only => '1',

 srt_convert_to_vtt => '',

 player_embed_dl_button => '1',

 ###

 jw7_key => '',
 jw7_skin => 'seven',

 login_fail_max_attemps => '3',
 login_fail_last_hours => '1',

 player_related => '0',

 player_show_title => '',
 m_r_hls => '1',
 m_r_dash => '',

 max_money_x_limit => '10',
 max_money_x_days => '5',

 truncate_views_daily => '',

 m_i => '',
 m_i_server => '',

 embed_static => '1',

 overload_no_hd => '1',

 m_h_enc_order => 'nhl',

 fair_encoding_slots => '',

 alt_preset_max_queues => '50',
 vid_preset_n_alt => 'veryfast',
 vid_preset_h_alt => 'veryfast',
 vid_preset_l_alt => 'veryfast',

 delete_disk_time => '12',

 player_image => 'snapshot',

 byteseller_id => '',
 byteseller_secret => '',
 byteseller_post_url => '',

 highload_mode => '',
 highload_mode_auto => '0',

 srt_allow_anon_upload => '',

 mp4_preload => 'auto',

 adb_no_money => '1',
 premium_no_money => '1',

 player_overlay_text => '',

 embed_responsive => '',

 no_video_ip_check => '',

 # DMCA mod
 m_a => '',
 m_a_delete_after => '12',
 m_a_lock_delete => '',

 player_image_stretching => 'uniform',

 embed_disabled => '',

 embed_disable_noref => '',

 embed_disable_except_domains => '',

 embed_no_hd => '1',

 player_logo_url => '',

 player_logo_link => '',

 player_logo_hide => '1',

 player_logo_position => 'top-right',

 player_logo_padding => '5',

 p2p_on => '',
 p2p_provider => 'peer5',
 p2p_min_host_out => '',
 p2p_min_views => '',
 p2p_min_views_30m => '',
 p2p_only_srvname_with => '',
 p2p_hours => '',

 p2p_streamroot_key => '',
 p2p_peer5_key => '',

 mailgun_api_url => 'https://api.mailgun.net/v3/sandboxb2c8a94dd0274c3facc14bc61a642ff2.mailgun.org/messages',
 mailgun_api_key => 'key-d9824340d50e3b17171d16e612d6fa89',

 no_referer_no_money => '1',

 file_server_ip_check => '1',

 force_disable_adb => '0',

 player_about_text => '',
 player_about_link => '',

 bad_agents => '(XBMC|gkplugin)',

 m_5 => '',
 m_5_hours => '4',
 m_5_captcha => '1',

 m_6 => '',
 m_6_clone => '',
 m_6_direct => '',

 srt_auto_enable => '',

 # 1.9
 jw8_key => '',

 sibpay_api_key => '',
 sibpay_secret => '',

 player_chromecast => '',

 max_complete_views_daily => '3',

 email_html => '1',

 avatar_width => '100',
 avatar_height => '100',

 player_default_quality => '0',

 hls_preload_mb => '8',

 m_a_hide_redirect => '',

 overload_no_transfer => '1',
 overload_no_upload => '1',

 login_captcha => '',

 alt_ads_mode => '',
 alt_ads_percent => '50',

 embed_disable_only_domains => '',

 m_3 => '',
 m_3_uploaded_days => '30',
 m_3_noviews_days => '10',
 m_3_serverdisk_min => '80',
 m_3_max_total_size => '100',

 m_q => '',
 m_q_users => 'registered',
 m_q_max_streams_live => '1',
 m_q_allow_recording => '',
 m_q_stop_invis_after => '0',
 index_live_streams_on => '',
 index_live_streams_num => '',

 m_r_no_mp4 => '1',

 srt_burn_font => 'tahomabold',
 srt_burn_size => '26',
 srt_burn_margin => '15',
 srt_burn_color => '66FFFFFF',
 srt_burn_coloroutline => '66000000',
 srt_burn_blackbox => '',

 m_7 => '',
 m_7_video_noserver => '1',
 m_7_video_noproxy => '1',
 m_7_video_notor => '1',
 m_7_video_action => 'message',
 m_7_video_action_message_txt => 'Your IP was blocked',
 m_7_video_download1 => '1',
 m_7_video_embed => '1',
 m_7_money_noserver => '1',
 m_7_money_noproxy => '1',
 m_7_money_notor => '1',
 m_7_money_percent => '50',


 # 1.95
 force_disable_popup_blocker => '',

 vast_tag => '',
 vast_client => 'googima',

 allow_no_encoding => '1',

 expire_quality_name => 'l',
 expire_quality_access_reg => '0',
 expire_quality_access_prem => '0',

 no_ipcheck_mobile => '',
 no_ipcheck_ipv6 => '1',

 m_7_stats => '',

 skip_uploader_priority => '0',

 dirlinks_allowed_referers => '',

 video_page_disabled => '',

 watch_require_recaptcha => '',
 watch_require_recaptcha_expire => '60',

 player_logo_fadeout => '3',
 player_logo_mode => 'video',

 vast_vpaid_mode => 'insecure',
 vast_preload => '1',

 enc_queue_notmp4_priority => '1',

 player_playback_rates => '0.5, 1, 2, 3',

 embed_alt_domain => '',

 noplay_from_uploader_encoder => '',

 m_w => '',
 vast_tag => 'https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=/124319096/external/single_ad_samples&ciu_szs=300x250&impl=s&gdfp_req=1&env=vp&output=vast&unviewed_position_start=1&cust_params=deployment%3Ddevsite%26sample_ct%3Dskippablelinear&correlator=',
 vast_client => 'googima',
 vast_preroll => '1',
 vast_midroll => '1',
 vast_midroll_time => '17',
 vast_midroll_tag => 'https://bs.serving-sys.com/BurstingPipe/adServer.bs?cn=is&c=23&pl=VAST&pli=14432293&PluID=0&pos=8834&ord=%5Btimestamp%5D&cim=1',
 vast_postroll => '1',
 vast_postroll_time => '5',
 vast_postroll_tag => 'https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=/124319096/external/single_ad_samples&ciu_szs=300x250&impl=s&gdfp_req=1&env=vp&output=vast&unviewed_position_start=1&cust_params=deployment%3Ddevsite%26sample_ct%3Dlinear&correlator=',
 vast_skip_mins => '2',

};

1;
